<?php

namespace Guru\MessengerUser\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind MessengerUser policy
        \Guru\MessengerUser\Models\MessengerUser::class => \Guru\MessengerUser\Policies\MessengerUserPolicy::class,// Bind MessengerMessage policy
        \Guru\MessengerUser\Models\MessengerMessage::class => \Guru\MessengerUser\Policies\MessengerMessagePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
